% plotpointcolor.m
function [x,y] = plotpointcolor(plunge,trend,colorsym)
% plots a point on a stereogram as dot

R = tan(pi/4 - 0.5*plunge*pi/180);
theta = pi/2 - trend*pi/180;
x = R * cos(theta);
y = R * sin(theta);
plot(x,y,colorsym,'LineWidth',0.9);